1.6 beta & prime 4

For the updates to work doesn’t the firmware on the prime 4 need updating to match the new updates

With what, Engine Prime? (confusing posting in OS about OS) :wink:

But yes, better to match EP with EOS.